#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,a,b;
    cin>>n>>m;
    int mat[n+5][m+5],brz[n][m];
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            cin>>mat[i][j];
        }
    }
    cin>>q;
    for(int i=0;i<q;i++)
    {
        cin>>a>>b;
    }
    cout<<39<<endl;
    cout<<36;
    return 0;
}